Subject: [PATCHv10 0/5] ARM: remove the sub-node and deprecate supports-highspeed property for dwmmc.

From: [email-masked] (Jaehoon Chung)
Date: Wed, 27 Aug 2014 12:11:55 +0900

Hi,

On 08/26/2014 07:19 PM, Pavel Machek wrote:
> Hi!
> 
>>>> Would you elaborate?
>>>>
>>>> If I have a device like a phone, I may want to put one "slot" inside
>>>> phone for basic system, and offer second slot for user expansion
>>>> (initially empty).
>>>
>>> if multiple slot is supported, then a mmcqd should be processing for multiple slots.
>>> It's too inefficient, and affect the whole performance reduction.
>> Sorry, Discard this comment. it means dwmci, not mmcqd.
> 
> Well, that's a Linux problem, and for many applications, not even
> problem at all.
> 
> Device tree should describe hardware, and hardware can do multiple
> slots per controller, so device tree should describe multiple slots
> per controller.
> 
> Now, the configuration may be uncommon, but you are moving from good
> hardware description to bad hardware description.

Well, i don't think it's bad hardware description. And this policy is suggested by other mmc developers and maintainers.
At first time, I had also suggested same opinion with yours.
Refer to below..

https://patchwork.kernel.org/patch/4276481/

Best Regards,
Jaehoon Chung
> 									Pavel